Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 450024 - sys-fs/ntfs3g-2012.1.15-r2: incorrectly built by ld.gold linker
Summary: sys-fs/ntfs3g-2012.1.15-r2: incorrectly built by ld.gold linker
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gold-tracker
  Show dependency tree
 
Reported: 2013-01-03 16:52 UTC by Tim Northover
Modified: 2015-01-29 08:21 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Northover 2013-01-03 16:52:50 UTC
When built by the ld.gold linker, ntfs3g is incapable of mounting on my system. I'm afraid I couldn't coax much debugging information, but the following error is reported:

"fuse: unknown option `'"

Switching to ld.bfd and rebuilding ntfs3g resolved the issue.

Reproducible: Always

Steps to Reproduce:
1. binutils-config --linker ld.gold
2. emerge ntfs3g
3. ntfs-3g /dev/whatever /mnt/wherever



I assume this is related to the existing problems fuse itself has with gold, but haven't debugged it further.
Comment 1 Michael Weber (RETIRED) gentoo-dev 2013-08-09 08:38:28 UTC
I can confirm this, found another report in the internez [1], 
can you add a warning like

$(tc-getLD) --version | grep gold >/dev/null && ewarn "U R DOOMED"

'd appreciate it.

[1] https://groups.google.com/forum/#!topic/tup-users/c53rfBsYCAk
Comment 2 Patrick McLean gentoo-dev 2013-08-09 17:48:27 UTC
Added a pkg_pretend that calls die when trying to build with gold (copied from grub's).
Comment 3 SpanKY gentoo-dev 2013-12-06 18:55:09 UTC
with gcc-4.8, there is -fuse-ld=bfd.  we can add a toolchain-funcs.eclass helper to automate this which ebuilds would utilize.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-12-18 23:24:46 UTC
(In reply to SpanKY from comment #3)
> with gcc-4.8, there is -fuse-ld=bfd.  we can add a toolchain-funcs.eclass
> helper to automate this which ebuilds would utilize.

Please do. It's really awful when ebuilds tell you to switch stuff like this.
Comment 5 Doug Goldstein gentoo-dev 2013-12-19 16:04:16 UTC
(In reply to SpanKY from comment #3)
> with gcc-4.8, there is -fuse-ld=bfd.  we can add a toolchain-funcs.eclass
> helper to automate this which ebuilds would utilize.

If the build env respects the provided LD, I've been doing stuff like:

src_compile() {
    emake LD="$(tc-getLD).bfd"
}

Which works on more than just gcc 4.8.
Comment 6 David Heidelberg (okias) 2014-06-08 08:44:57 UTC
Can we apply some nicer workaround? 

Also could anyone report it to upstream? [1]


[1] http://sourceforge.net/p/ntfs-3g/mailman/ntfs-3g-devel/
Comment 7 Patrick McLean gentoo-dev 2015-01-29 08:21:11 UTC
sys-fs/ntfs3g-2014.2.15-r1 now sets LD before running econf to make sure it uses the bfd linker rather than gold.